# Class BasicFileChooserUI.SelectionListener

java.lang.Object
javax.swing.plaf.basic.BasicFileChooserUI.SelectionListener

All Implemented Interfaces:
  `EventListener, ListSelectionListener`

Enclosing class:
  `BasicFileChooserUI`

protected class BasicFileChooserUI.SelectionListener extends Object implements ListSelectionListener
A selection listener.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SelectionListener()`
  Constructs a `SelectionListener`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `valueChanged(ListSelectionEvent e)`
  Called whenever the value of the selection changes.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SelectionListener

    protected SelectionListener()
    Constructs a `SelectionListener`.

- ## Method Details

  - ### valueChanged

    public void valueChanged(ListSelectionEvent e)
    Called whenever the value of the selection changes.
    Specified by:
      `valueChanged` in interface `ListSelectionListener`
    Parameters:
      `e` - the event that characterizes the change.